
/* ##############################################################
	설  명 : [Modal]고객 등록 팝업
	작성일 : 2024. 03. 14.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2024. 03. 14.	NTsoft 	 최초 생성
*/
let	marketingSmsSelectModal = {
    callback : null,
    reqParam : null,
    dataList : null,
    /* 모달 초기화 작업 */
    init : function () {
        $('#marketingSmsSelectModal').remove();
        $('body').append(this.HtmlTemplate);
        //그리드 이벤트
        this.setEvent();
    },
    /* 그리드 이벤트 설정 */
    setEvent:function() {
        $('#marketingSmsSelectModal .btnCancle').on("click", function(){
            marketingSmsSelectModal.close();
        });
    },
    /* 데이터 선택 */
    setSelect:function(selectNumber) {
        var checkedData = dataList[selectNumber];
        if(dataList==null||checkedData==undefined){
            return ;
        }

        if( marketingSmsSelectModal.callback )  {
            marketingSmsSelectModal.callback(checkedData);
        }
        marketingSmsSelectModal.close();
    },
    // 상세 조회
	search:function(state) {
		let muSmsId = marketingSmsSelectModal.reqParam.muSmsId;

		if(true != fn_emptyCheck(muSmsId)){
			modalEvent.warning("조회", "문자 정보가 없습니다.");	
			return;
		}
		
		let formData = new FormData();
		formData.append("menuClass", menuClass);
		formData.append("muSmsId", muSmsId);

		$.ajax({
			url: encodeURI('/websms/selectSms.do'),
			data: formData,
			dataType: "json",
			processData: false,
			contentType: false,
			type: 'POST',
			async: true,
			success: function(data){
				if('0'==data.msgCode){
					$("#marketingSmsSelectModal #modal_smsContent").text(data.rows[0].content);
				}else{
					modalEvent.danger("조회 오류", data.msgDesc);
				}
			},
			error : function(xhr, status, error) {
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			},
			beforeSend:function(){
				
			},
			complete:function(){
				
			}
		});
	},
    /*
     * 팝업
     * callback : 콜백함수, reqParam: 팝업파라미터
     */
    popup:function(callback, reqParam) {
        // 초기화 후 열기
        marketingSmsSelectModal.init();

        //콜백함수 지정.
        marketingSmsSelectModal.callback = callback;
        marketingSmsSelectModal.reqParam = reqParam;
        marketingSmsSelectModal.dataList = null;

        setTimeout(function(){
            $("#marketingSmsPopTotalCount").text(fn_numberFormat(selectedRows.length)+'명');

            $('#marketingSmsSelectModal').modal('show')
        }, 200);

        marketingSmsSelectModal.search();
    },
    /*
     * 팝업 닫기
     */
    close:function() {
        $('#marketingSmsSelectModal').modal('hide');

		setTimeout(function(){
			$('#marketingSmsSelectModal').remove();
		},500);
    },
    HtmlTemplate :`
    <div class="modal send_modal fade" id="marketingSmsSelectModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="left_box">
                        <p class="title">광고문자 전송 유의사항</p>
                        <img src="/image/web/message.png" alt="유의사항"/>
                        <p>
                            광고성 메시지는 야간 전송이 제한되도록 설정하셔야 합니다.<br/>
                            한국은 08:00~20:00 전송 가능.<br/><br/>
                            광고성 메시지 발송을 하려면, 
                            정보통신망법 제50조에 따라 수신자(고객)의 명시적인 
                            사전동의를 받아야 하며 발송 표기 의무 사항을 반드시 준수하셔야 합니다.
                        </p>
                    </div>
                    <div class="right_box">
                        <div class="title_box">
                            <p class="title">문자 발송대상</p>
                        </div>
                        <div class="textarea_box">
                            <textarea placeholder="내용을 입력하세요." id="modal_smsContent"></textarea>
                        </div>

                        <div class="btn_box">
                            <button type="button" class="cancel_btn btnCancle">취소</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(function() {
            fn_clickEvent();
        });
    </script>`
};






